Showing results for 
Search instead for 
Do you mean 

Configuring a Concurrent License Server for both 6.1 and 2013-2015 GeoMedia applications

by Technical Evangelist on ‎02-11-2016 10:20 AM - edited on ‎04-06-2016 01:22 PM by Moderator (1,450 Views)

Question

How to configure a Concurrent License Server for both 6.1 and 2013-2015 applications

Answer

Version 2015 GeoMedia applications use a new version of Flex LM licensing managed by software (Intergraph Licensing 11.11.1) delivered by Hexagon Geospatial. The new Intergraph Licensing software provides a License Administration interface for creating, setting up and managing the 2015 license service(s). Your old version 6.1 license service cannot support running the 2015 licenses, however, it is possible to manually configure a newer 2015 License Server to also serve 6.1 licenses via a separate service (i.e. The same server can host both a 2015 license service as well as a service for the 6.1 licenses).

There are two workflows to consider for serving the 2015 licenses.

·         Workflow A: Use a Separate License Servers:

You can setup a separate machine (physical or virtual) to serve the 2015 or later licenses. This allows you to avoid the temporary shut down and reconfiguration of the 6.1 license service. While using a separate machine to serve the 2015 licenses is easy to setup, it does mean that each client machine would have to be configured to see desired license server(s). For example each client machine could be setup so the registry setting for HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\FlexLM license manager, INGR_LICENSE_FILE key points to one or more servers: @SERVER_NAME_A;@SERVER_NAME_B
Where server A is the name for the 2015 or later license server and server B is the name of the version 6.1 license server.

 

·         Workflow B: Use the Same License Server for Both 6.1 and 2015:

This workflow requires a bit more work to setup the license server, but it allows you to avoid having to make any changes to existing 6.1 client machines.

Remove the old 6.1 Service

  • On the 6.1 License Server, use the existing LMTools to perform a Forced shut-down of the existing 6.1 license service.
  • Select the Config Services tab and make a note of the location of the version 6.1 license file and the INGR.exe and INGR.EXE.MANIFEST (if you have it)  files.
  • Use the Config Services>Remove Service option to remove the existing service and exit LMTools.

Configure the 2015 Service

  • Now install the new version 2015 Intergraph Licensing software (version 11.11).
  • Edit you license file and spcify the ports you want to use for both lmgrd and for the ingrts daemon.
  • Use the new Licensing Administration tool to Import the new 2015 License File, this will automatically set up the Intergraph Licensing Service.
  • Test it from a client using port@licenseserver to make sure it works

Add 6.1 Service

  • Copy the old 6.1 license (.lic) file and INGR.exe (an INGR.exe.manifest if it exists) to the C:\Program Files\Intergraph\Licensing\11.##.#\Program folder
  • Edit the license file and make sure you specify ports for both lmgrd and for the INGR vendor daemon, these should be different ports than those already used.
  • Now use the lmtools.exe in the 11.##.#\program folder to configure a new 6.1 license service (you'll be creating a new service in addition to the existing service, make sure you use a different service name) using the ..\Licensing\11.11.1\program\LMGRD.exe and the 6.1 license file.
  • Test it from a client using port@licenseserver to make sure it works.
Comments
by Technical Evangelist
on ‎07-03-2018 12:43 PM

We advise that all customers upgrade a supported version. The currently supported versions are 2016 and 2018. GeoMedia 6.1 is not supported and rehost of 6.1 licenses are no longer routinely provided. See also: 6.1 Rehost Policy


Additionally, be aware that GeoMedia 6.1 is known to NOT operate correctly on modern operating systems such as Win10.

License servers configured to serve both 6.1 and 2016 licneses has never been tested; While it may be possible to host 6.1 in a 2018 service, this is not something that is not supported or recommended. There could be potential problems with license borrowing from the service in this configuration.

 

GeoMedia Support Team

Contributors